#! /usr/local/bin/ruby
#
# plrb/extconf.rb
#
require "optparse";
require 'mkmf';

g_makefile_in_file = "Makefile.in";

# ======================================================================
#
mf_buf = '';
open(g_makefile_in_file, "r") do |fp|
	mf_buf = fp.read;
end
RbConfig::CONFIG.each_pair do |key, val|
	mf_buf = mf_buf.gsub(/@@#{key}@@/, val);
end
open("Makefile", "w") do |ofp|
	ofp.print mf_buf;
end


